package com.core.annotation;


import java.lang.annotation.*;

/**
 * 单位过滤
 */
@Target(ElementType.METHOD)
@Retention(RetentionPolicy.RUNTIME)
@Documented
public @interface DeptFilter {

    //本单位及本单位以下
    public String deptAlias() default "";

    /**
     * 用户表的别名
     */
    public String userAlias() default "";

    //仅本单位
    public String deptOnlyAlias() default "";

    //本单位上级单位以下
    public String deptUpperAlias() default "";
}
